package cn.hmsoft.weixin.entity.request.custom;

import java.util.List;

import cn.hmsoft.weixin.entity.request.custom.entity.Article;

public class NewsCustomRequestJson extends CustomRequestJson {

	public class News {
		private List<Article> articles;

		public News(List<Article> articles) {
			this.articles = articles;
		}

		public List<Article> getArticles() {
			return articles;
		}

		public void setArticles(List<Article> articles) {
			this.articles = articles;
		}

	}

	private News news;

	public NewsCustomRequestJson(List<Article> articles) {
		this.setMsgtype("news");
		this.news = new News(articles);
	}

	public News getNews() {
		return news;
	}

	public void setNews(News news) {
		this.news = news;
	}

}
